Workforce Planning
- GET
/rest/v1.0/companies/{company_id}/crewsList crews - POST
/rest/v1.0/companies/{company_id}/crewsCreate a crew - GET
/rest/v1.0/companies/{company_id}/crews/{id}Show a crew - PATCH
/rest/v1.0/companies/{company_id}/crews/{id}Update a crew - GET
/rest/v1.0/companies/{company_id}/peopleList company people (roster) - POST
/rest/v1.0/companies/{company_id}/peopleCreate a person - GET
/rest/v1.0/companies/{company_id}/people/{id}Show a person - PATCH
/rest/v1.0/companies/{company_id}/people/{id}Update a person - GET
/rest/v1.0/companies/{company_id}/people/filter_options/tradeTrade filter options - GET
/rest/v1.0/companies/{company_id}/people/inactiveList inactive company people - GET
/rest/v1.0/projects/{project_id}/workforce/assignmentsList project assignments (optionally by date range) - POST
/rest/v1.0/projects/{project_id}/workforce/assignmentsCreate an assignment - GET
/rest/v1.0/projects/{project_id}/workforce/assignments/{id}Show an assignment - PATCH
/rest/v1.0/projects/{project_id}/workforce/assignments/{id}Update an assignment - GET
/rest/v1.0/projects/{project_id}/workforce/assignments/filter_options/crewsCrew filter options for a project
/rest/v1.0/companies/{company_id}/crewsList crews
Parameters
- company_idstringpathrequired
Response · 200 · Crew[]
- idintegerrequired
- company_idintegerrequired
- namestringrequired
- leadPersonStub
- lead_person_idinteger
- employeesobject[]required
- employee_countinteger
- created_by_idinteger
- created_byUserStub
- created_atstring
- updated_atstring
/rest/v1.0/companies/{company_id}/crewsCreate a crew
Parameters
- company_idstringpathrequired
Request body
- crewobjectrequired
Response · 201 · Crew
- idintegerrequired
- company_idintegerrequired
- namestringrequired
- leadPersonStub
- lead_person_idinteger
- employeesobject[]required
- employee_countinteger
- created_by_idinteger
- created_byUserStub
- created_atstring
- updated_atstring
/rest/v1.0/companies/{company_id}/crews/{id}Show a crew
Parameters
- company_idstringpathrequired
- idstringpathrequired
Response · 200 · Crew
- idintegerrequired
- company_idintegerrequired
- namestringrequired
- leadPersonStub
- lead_person_idinteger
- employeesobject[]required
- employee_countinteger
- created_by_idinteger
- created_byUserStub
- created_atstring
- updated_atstring
/rest/v1.0/companies/{company_id}/crews/{id}Update a crew
Parameters
- company_idstringpathrequired
- idstringpathrequired
Request body
- crewobjectrequired
Response · 200 · Crew
- idintegerrequired
- company_idintegerrequired
- namestringrequired
- leadPersonStub
- lead_person_idinteger
- employeesobject[]required
- employee_countinteger
- created_by_idinteger
- created_byUserStub
- created_atstring
- updated_atstring
/rest/v1.0/companies/{company_id}/peopleList company people (roster)
Parameters
- company_idstringpathrequired
Response · 200 · Person[]
- idintegerrequired
- company_idintegerrequired
- first_namestringrequired
- last_namestringrequired
- namestringrequired
- job_titlestring
- tradestring
- statusstringrequired
- translated_statusstring
- is_assignablebooleanrequired
- employee_idstring
- emailstring
- phonestring
- hourly_ratenumber
- user_idinteger
- crew_idsinteger[]
- created_atstring
- updated_atstring
- deleted_atstring
/rest/v1.0/companies/{company_id}/peopleCreate a person
Parameters
- company_idstringpathrequired
Request body
- personobjectrequired
Response · 201 · PersonShow
- idintegerrequired
- company_idintegerrequired
- first_namestringrequired
- last_namestringrequired
- namestringrequired
- job_titlestring
- tradestring
- statusstringrequired
- translated_statusstring
- is_assignablebooleanrequired
- employee_idstring
- emailstring
- phonestring
- hourly_ratenumber
- user_idinteger
- crew_idsinteger[]
- created_atstring
- updated_atstring
- deleted_atstring
- crewsobject[]
- created_byUserStub
/rest/v1.0/companies/{company_id}/people/{id}Show a person
Parameters
- company_idstringpathrequired
- idstringpathrequired
Response · 200 · PersonShow
- idintegerrequired
- company_idintegerrequired
- first_namestringrequired
- last_namestringrequired
- namestringrequired
- job_titlestring
- tradestring
- statusstringrequired
- translated_statusstring
- is_assignablebooleanrequired
- employee_idstring
- emailstring
- phonestring
- hourly_ratenumber
- user_idinteger
- crew_idsinteger[]
- created_atstring
- updated_atstring
- deleted_atstring
- crewsobject[]
- created_byUserStub
/rest/v1.0/companies/{company_id}/people/{id}Update a person
Parameters
- company_idstringpathrequired
- idstringpathrequired
Request body
- personobjectrequired
Response · 200 · PersonShow
- idintegerrequired
- company_idintegerrequired
- first_namestringrequired
- last_namestringrequired
- namestringrequired
- job_titlestring
- tradestring
- statusstringrequired
- translated_statusstring
- is_assignablebooleanrequired
- employee_idstring
- emailstring
- phonestring
- hourly_ratenumber
- user_idinteger
- crew_idsinteger[]
- created_atstring
- updated_atstring
- deleted_atstring
- crewsobject[]
- created_byUserStub
/rest/v1.0/companies/{company_id}/people/filter_options/tradeTrade filter options
Parameters
- company_idstringpathrequired
Response · 200 · FilterOption[]
- keystringrequired
- valuestringrequired
/rest/v1.0/companies/{company_id}/people/inactiveList inactive company people
Parameters
- company_idstringpathrequired
Response · 200 · Person[]
- idintegerrequired
- company_idintegerrequired
- first_namestringrequired
- last_namestringrequired
- namestringrequired
- job_titlestring
- tradestring
- statusstringrequired
- translated_statusstring
- is_assignablebooleanrequired
- employee_idstring
- emailstring
- phonestring
- hourly_ratenumber
- user_idinteger
- crew_idsinteger[]
- created_atstring
- updated_atstring
- deleted_atstring
/rest/v1.0/projects/{project_id}/workforce/assignmentsList project assignments (optionally by date range)
Parameters
- project_idstringpathrequired
Response · 200 · Assignment[]
- idintegerrequired
- company_idintegerrequired
- project_idintegerrequired
- project_namestring
- person_idinteger
- person_namestring
- crew_idinteger
- crew_namestring
- start_daystringrequired
- end_daystring
- hours_per_daynumber
- rolestring
- category_namestring
- statestringrequired
- translated_statestring
- notesstring
- created_byUserStub
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/workforce/assignmentsCreate an assignment
Parameters
- project_idstringpathrequired
Request body
- assignmentobjectrequired
Response · 201 · Assignment
- idintegerrequired
- company_idintegerrequired
- project_idintegerrequired
- project_namestring
- person_idinteger
- person_namestring
- crew_idinteger
- crew_namestring
- start_daystringrequired
- end_daystring
- hours_per_daynumber
- rolestring
- category_namestring
- statestringrequired
- translated_statestring
- notesstring
- created_byUserStub
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/workforce/assignments/{id}Show an assignment
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · Assignment
- idintegerrequired
- company_idintegerrequired
- project_idintegerrequired
- project_namestring
- person_idinteger
- person_namestring
- crew_idinteger
- crew_namestring
- start_daystringrequired
- end_daystring
- hours_per_daynumber
- rolestring
- category_namestring
- statestringrequired
- translated_statestring
- notesstring
- created_byUserStub
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/workforce/assignments/{id}Update an assignment
Parameters
- project_idstringpathrequired
- idstringpathrequired
Request body
- assignmentobjectrequired
Response · 200 · Assignment
- idintegerrequired
- company_idintegerrequired
- project_idintegerrequired
- project_namestring
- person_idinteger
- person_namestring
- crew_idinteger
- crew_namestring
- start_daystringrequired
- end_daystring
- hours_per_daynumber
- rolestring
- category_namestring
- statestringrequired
- translated_statestring
- notesstring
- created_byUserStub
- created_atstring
- updated_atstring
/rest/v1.0/projects/{project_id}/workforce/assignments/filter_options/crewsCrew filter options for a project
Parameters
- project_idstringpathrequired
Response · 200 · FilterOption[]
- keystringrequired
- valuestringrequired